

from random import choice, randrange
import time

## sentence 1: select style + number of characters
# 1st step: define styles, pick style, pick character from style

# genre = [fairytale, crime, erotic]

names = ["Flopsy", "Mopsy", "Cotton-tail", "Peter"]
newnames = []

characters = ["little rabbits", "powerful mice", "nasty snakes", "utopian dragons"]

adjectives = ["sweetest", "juiciest", "biggest", "most attractive"]

things = ["carrots", "cherries", "worms", "gooseberries"]

places = ["garden", "fridge", "kitchen", "belly"]

hosts = ["Obama", "Poetin", "Assad", "Leopold III"]

hierarchy = ["oldest", "smartest", "most experienced"]

# 2nd step: pick a genre, a character, a number and relate number of names to it
character = choice(characters)
# print "character is: " + character

number = randrange(2, 20)
while len(newnames) < number:
	name = choice(names)+str(randrange(1,100))
	newnames.append(name)
newnamesstr = ', '.join(newnames)

sentence1 = "Once upon a time there were " + str(number) + " " + character + ", and their names were "\
 + newnamesstr + ".\n"
print sentence1


## sentence 2+3/4: depending on genre, add action
character1 = newnames[-2]
character2 = newnames[-1]
place = choice(places)
host = choice(hosts)

sentence2 = \
"The " + choice(hierarchy) + ", " + character1 + ", proposed to go and look for the "\
 + choice(adjectives) + " " + choice(things) + " in the " + place\
 + " of " + host + ".\n"
sentence3 = "'Wonderful idea!' said " + character2 + ".\n" 
print sentence2, sentence3

if len(newnames) != 2:
	sentence3 = "'Wonderful idea!' said " + character2 + ".\nAnd all the " + character + " joined the adventure.\n"

## sentence 4: they get going
sentences = []
sentence4 = []
if place == "garden":
	sentences = [["They climbed the fence."], ["They made their way through the hedge."],\
	 ["They made themselves as tiny as possible and asked the mole for a passway through her corridors."]]
	sentence4 = choice(sentences)

if place == "fridge":
	sentences = [["They sneeked into the kitchen."], ["They asked the dog to show them the way to the kitchen."],\
	 ["They teletransported themselves to the cold universe of the fridge."]]
	sentence4 = choice(sentences)
	
if place == "kitchen":
	sentences = [["They waited patiently until the street was quiet and sneeked in."],\
	 ["They followed the sewer, climbed up through the tubes till they found the sink."],\
	 ["They hided in the supermarket delivery and enjoyed the ride to the house."]]
	sentence4 = choice(sentences)

if place == "belly":
	sentences = [\
	["They reduced themselves to the size of an atom and made their way"\
	 " to the cheese sandwich that " + host + " was about to eat for lunch."],\
	 ["They entered through " + host + "'s nose."],\
	 ["They loved running through " + host + "'s veines trying to find the right path down."]]
	sentence4 = choice(sentences)

print ''.join(sentence4)

## sentence 5: they run into an obstacle
#the obstacle depends in this case on the variables 'host' and 'place':
# the host suspects something, following to her suspicion she decides to act
# one of the characters gets caught, the leader

sentence5 = " " + host + " sensed something strange, \
he discovered the " + character   + " and called his guards.\n" + \
"Poor " + character1 + " got caught! \n"

print sentence5

## sentence 6: they other characters find a solution
verbs = ["pay", "kill", "distract", "mislead"]
verb = choice(verbs)

sentence6 = character2 + " had the ingenious idea to " + verb + " the guards and they fled all together from the "\
+ place + ".\n" + "When " + character1 + " went to bed that night, she felt the most lucky of all "\
+ character + ".\n\nTHE END."

print sentence6

# write to file 
title = 'fairytale'
now = time.strftime("%Y-%m-%d_%H:%M:%S")
filename = title+'_'+now+'.txt'

fairytale = [sentence1, sentence2, sentence3, sentence4, sentence5, sentence6]

with open(filename, 'a') as f:
	for sentence in fairytale:
		f.write(''.join(sentence))